Subject: FVWM: Shy menus ...

From: [email-masked]
Date: Wed, 31 Jan 1996 16:54:09 -0500 (EST)

Hi,

I'm having a problem with 2.034 on an IBM RS/6000 using AIX 3.2.5.
When selecting menus from different applications (Framemaker,xemac,xterm ...)
on occasions the menu will hide behind the application itself , thus making
menu selection impossible. The only way out is to release the menu and
try again.

This was also happening with 1.23r ...

Thanks !

+---------------------------------------------------------------------+
| Mario Dupuis		   Internet : [email-masked]    |
| System Administrator	   Phone    : (514) 855-5001   ext: 1720      |
| Canadair Aerospace Group Fax      : (514) 855-2157		      |
+---------------------------------------------------------------------+

--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Wed, 31 Jan 1996 17:40:13 -0500

>>>>> "Mario" == Mario Dupuis <[email-masked]> writes:

Mario> Hi,
Mario> I'm having a problem with 2.034 on an IBM RS/6000 using AIX
Mario> 3.2.5.  When selecting menus from different applications
Mario> (Framemaker,xemac,xterm ...)  on occasions the menu will hide
Mario> behind the application itself , thus making menu selection
Mario> impossible. The only way out is to release the menu and try
Mario> again.

Mario> This was also happening with 1.23r ...

This is a known problem, that I think I need to put in the FAQ.  This
should only be happening when you are clicking on the menubar and FVWM
needs to raise the window too.  Motif menus are done via
OverrideRedirect windows, which are ignored by FVWM.  They are coming
up before FVWM has a chance to raise the window, so then they get
obscured by the window.  I'm not sure if there is a way to prevent
this or not, but I'll look into it again.

Also, 2.0.34 was a very buggy version.  I'd suggest grabbing 2.0.40
from the new official site (ftp.hpc.uh.edu in /pub/fvwm/version-2/).

Chuck

*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

IBM Internal email:                        "Go back to sleep, Chuck.  You're
  [email-masked],              just havin' a nightmare--of course,
  HINESC at FISHKILL, HINESC at FSHVMFK1    we are still in Hell." Gary Larson
*******************************************************************************
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].